Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1121494 - [vdsm][el7] change obselete /lib path in vdsm to /usr/lib.
Summary: [vdsm][el7] change obselete /lib path in vdsm to /usr/lib.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Dima Kuznetsov
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1149698 1156165
TreeView+ depends on / blocked
 
Reported: 2014-07-21 06:01 UTC by Eyal Edri
Modified: 2016-02-10 19:37 UTC (History)
11 users (show)

Fixed In Version: vt2.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1149698 (view as bug list)
Environment:
Last Closed: 2015-02-16 13:38:36 UTC
oVirt Team: Infra
Target Upstream Version:
scohen: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30869 master MERGED spec: Move /lib files to /usr/lib Never
oVirt gerrit 30963 ovirt-3.5 MERGED spec: Move /lib files to /usr/lib Never
oVirt gerrit 33854 ovirt-3.4 MERGED spec: Move /lib files to /usr/lib Never

Description Eyal Edri 2014-07-21 06:01:42 UTC
Description of problem:

while attaching vdsm 3.4.1 to rhel7 errata, rpmdiff output this error:

> rpmdiff:
>
> VERIFY                 vdsm                 /lib no longer exists in RHEL7; File /lib/systemd must be moved to /usr/lib
> VERIFY                 vdsm                 /lib no longer exists in RHEL7; File /lib/systemd/systemd-vdsmd must be moved to /usr/lib
> VERIFY                 vdsm                 /lib no longer exists in RHEL7; File /lib/udev must be moved to /usr/lib
> VERIFY                 vdsm                 /lib no longer exists in RHEL7; File /lib/udev/rules.d must be moved to /usr/lib
> VERIFY                 vdsm                 /lib no longer exists in RHEL7; File /lib/udev/rules.d/12-vdsm-lvm.rules must be moved to /usr/lib
> VERIFY                 vdsm-reg                 /lib no longer exists in RHEL7; File /lib/systemd must be moved to /usr/lib
> VERIFY                 vdsm-reg                 /lib no longer exists in RHEL7; File /lib/systemd/systemd-vdsm-reg must be moved to /usr/lib
>
> https://errata.devel.redhat.com/rpmdiff/show/102494?result_id=2418530


Version-Release number of selected component (if applicable):

4.14.11-1


How reproducible:

always

Steps to Reproduce:
1. run rpmdiff via errata tool on latest vdsm build for el7
2.
3.

Actual results:


Expected results:


Additional info:

Comment 7 Petr Beňas 2014-10-13 11:56:16 UTC
in 4.16.6-1.el6ev
https://errata.devel.redhat.com/rpmdiff/show/107365


Note You need to log in before you can comment on or make changes to this bug.